### A free/open-source library for quantitative finance

Classes
ql/pricingengines/vanilla/fdshoutengine.hpp File Reference

Finite-differences shout engine. More...

`#include <ql/pricingengines/vanilla/fdstepconditionengine.hpp>`
`#include <ql/pricingengines/vanilla/fdconditions.hpp>`
`#include <ql/instruments/vanillaoption.hpp>`
Include dependency graph for fdshoutengine.hpp:

## Classes

class | FDShoutEngine< Scheme >
| Finite-differences pricing engine for shout vanilla options. More...

## Detailed Description

Finite-differences shout engine.